/*******************************************************************************
** sdla_remora.h	
**
** Author: 	Alex Feldman  <al.feldman@sangoma.com>
**
** Copyright:	(c) 2005 Sangoma Technologies Inc.
**
**		This program is free software; you can redistribute it and/or
**		modify it under the terms of the GNU General Public License
**		as published by the Free Software Foundation; either version
**		2 of the License, or (at your option) any later version.
** ============================================================================
** Oct 6, 2005	Alex Feldman	Initial version.
*******************************************************************************/

#ifndef __SDLA_USB_REMORA_H
# define __SDLA_USB_REMORA_H

#ifdef __SDLA_REMORA_SRC
# define WP_EXTERN
#else
# define WP_EXTERN extern
#endif

#ifdef __SDLA_REMORA_SRC
# define WP_EXTERN
#else
# define WP_EXTERN extern
#endif

#define IS_USBFXO(fe) (((sdla_t*)(fe->card))->adptr_type == U100_ADPTR)
#define IS_USBFXO_CARD(card) (card->adptr_type == U100_ADPTR)


#define MAX_USB_REMORA_MODULES		2
#define MAX_USB_FXOFXS_CHANNELS		MAX_USB_REMORA_MODULES


/*******************************************************************************
**			  TYPEDEF STRUCTURE
*******************************************************************************/

#if defined(WAN_KERNEL)

#if !defined(WAN_DEBUG_FE)
# define WRITE_USB_RM_REG(mod_no,reg,val)					\
	fe->write_fe_reg(	((sdla_t*)fe->card)->hw,		\
				(int)mod_no,			\
				(int)reg, (int)val)
# define READ_USB_RM_REG(mod_no,reg)					\
	fe->read_fe_reg(	((sdla_t*)fe->card)->hw,			\
				(int)mod_no,		\
				(int)reg)
#else
# define WRITE_USB_RM_REG(mod_no,reg,val)					\
	fe->write_fe_reg(	((sdla_t*)fe->card)->hw,				\
				(int)mod_no,				\
				(int)reg, (int)val,__FILE__,(int)__LINE__)
# define READ_USB_RM_REG(mod_no,reg)					\
	fe->read_fe_reg(	((sdla_t*)fe->card)->hw,				\
				(int)mod_no,				\
				(int)reg,__FILE__,(int)__LINE__)
#endif

#endif /* WAN_KERNEL */

/*******************************************************************************
**			  FUNCTION PROTOTYPES
*******************************************************************************/
extern int	wp_usb_remora_iface_init(void*, void*);

#undef WP_EXTERN
#endif	/* __SDLA_USB_REMORA_H */
